Get a medication dispense by ID
get
/MedicationDispense/{id}
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves an individual medication dispense by the associated ID.
Request
Path Parameters
-
id(required): string
The logical resource ID.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
Successful retrieve response.
Root Schema : MedicationDispense
Type:
objectA record of medication supplied to a patient.
Show Source
-
authorizingPrescription: array
authorizingPrescription
The prescriptions authorizing the dispense.
-
dosageInstruction: array
dosageInstruction
How the medication should be used.
-
id(required): string
The logical ID of the dispense.
-
medicationCodeableConcept: object
CodeableConcept
-
medicationReference: object
ReferenceForMedicationDispense
-
meta: object
meta
-
performer: array
performer
The actors involved in dispensing.
-
quantity: object
Quantity
-
resourceType(required): string
Allowed Values:
[ "MedicationDispense" ] -
status(required): string
Allowed Values:
[ "preparation", "in-progress", "cancelled", "on-hold", "completed", "entered-in-error", "stopped", "declined", "unknown" ]The current dispense status. -
subject(required): object
ReferenceForMedicationDispense
-
type: object
CodeableConcept
-
whenHandedOver: string
(date-time)
When the medication was provided.
Match One Schema
Show Source
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : ReferenceForMedicationDispense
Type:
Show Source
object-
display: string
The human-readable reference label.
-
extension: array
extension
The additional reference information.
-
reference: string
The relative resource reference.
Nested Schema : meta
Type:
Show Source
object-
lastUpdated: string
(date-time)
The last update time.
-
security: array
security
-
versionId: string
The version-specific identifier.
Nested Schema : Dosage
Type:
Show Source
object-
additionalInstruction: array
additionalInstruction
-
asNeededBoolean: boolean
-
asNeededCodeableConcept: object
CodeableConcept
-
doseAndRate: array
doseAndRate
The dose details.
-
patientInstruction: string
-
route: object
CodeableConcept
-
site: object
CodeableConcept
-
text: string
The free-text dosage instruction.
-
timing: object
Timing
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Nested Schema : ExtensionForMedicationDispense
Type:
Show Source
object-
url: string
(uri)
The extension definition URL.
-
valueCode: string
The coded extension value.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source